/* (C) 2016 Yana */

module microboard (
	input CLOCK_Y3,
	input USER_RESET,
	input USB_RS232_RXD,
	output USB_RS232_TXD
);

hlsglue hlsglue_0 (
	.clock(CLOCK_Y3),
	.reset(USER_RESET),
	.ser_in(USB_RS232_RXD),
	.ser_out(USB_RS232_TXD),
	.baud_freq(288), /* 16 * 115200 / 6400 */
	.baud_limit(15337) /* 100000000 / 6400 - 288 */
);

endmodule
