/* (C) 2016 Yana */

module arty (
	input CLK100MHZ,
	input uart_txd_in,
	output uart_rxd_out
);

hlsglue hlsglue_0 (
	.clock(CLK100MHZ),
	.reset(0),
	.ser_in(uart_txd_in),
	.ser_out(uart_rxd_out),
	.baud_freq(288), /* 16 * 115200 / 6400 */
	.baud_limit(15337) /* 100000000 / 6400 - 288 */
);

endmodule
